<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: /home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/analysis/cli.py Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('analysis_2cli_8py_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">cli.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="analysis_2cli_8py.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1analysis_1_1cli.html">    1</a></span>&#160;<span class="comment"># !/usr/bin/python3</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"># coding: utf-8</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"># Copyright 2017 Stefano Fogarollo</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"># Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"># you may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"># You may obtain a copy of the License at</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"># http://www.apache.org/licenses/LICENSE-2.0</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"># Unless required by applicable law or agreed to in writing, software</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"># distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"># WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"># See the License for the specific language governing permissions and</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"># limitations under the License.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">import</span> argparse</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">import</span> os</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">import</span> time</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">from</span> models <span class="keyword">import</span> MLAnalysis, TimeAnalysis, FacebookPostsDataFilter</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a4d3c6a16a27d83f1972b79d69fb61116">   26</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a4d3c6a16a27d83f1972b79d69fb61116">create_args</a>():</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="stringliteral">    :return: ArgumentParser</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="stringliteral">        Parser that handles cmd arguments.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    parser = argparse.ArgumentParser(usage=<span class="stringliteral">&quot;-i &lt;path to input file&gt;&quot;</span>)</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    parser.add_argument(<span class="stringliteral">&quot;-i&quot;</span>, dest=<span class="stringliteral">&quot;path_in&quot;</span>, help=<span class="stringliteral">&quot;path to input file&quot;</span>, required=<span class="keyword">True</span>)</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordflow">return</span> parser</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ac9a45e3fed34af4e4180405a209a96c4">   37</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ac9a45e3fed34af4e4180405a209a96c4">parse_args</a>(parser):</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="stringliteral">    :param parser: ArgumentParser</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="stringliteral">        Object that holds cmd arguments.</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="stringliteral">    :return: tuple</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="stringliteral">        Values of arguments.</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    args = parser.parse_args()</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordflow">return</span> str(args.path_in)</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a124970bb9272c2d9c04e916250ca6fce">   50</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a124970bb9272c2d9c04e916250ca6fce">check_args</a>(path_in):</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="stringliteral">    :param path_in: str</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="stringliteral">        File to use as input</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="stringliteral">    :return: bool</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="stringliteral">        True iff args are correct</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keyword">assert</span> (os.path.exists(path_in))</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">True</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a489ab36cfff74eaaf3a2ad2ddd8ad5df">   62</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a489ab36cfff74eaaf3a2ad2ddd8ad5df">add_time_msg_stats</a>(path_in):</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="stringliteral">    :param path_in: str</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="stringliteral">        File to use as input</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="stringliteral">    :return: void</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="stringliteral">        Extract time and message statistical features from data (in input file) and saves new data in in new file</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    path_out = os.path.join(os.path.dirname(path_in), <span class="stringliteral">&quot;out_time_msg_&quot;</span> + str(int(time.time())) + <span class="stringliteral">&quot;.csv&quot;</span>)</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    driver = FacebookPostsDataFilter(path_in)</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    h, d = driver.parse_csv()  <span class="comment"># get data</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    h, d = driver.add_time_columns(h, d, <span class="stringliteral">&quot;date&quot;</span>, <span class="stringliteral">&quot;time&quot;</span>)  <span class="comment"># add time features</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    h, d = driver.add_msg_stats_columns(h, d, <span class="stringliteral">&quot;message&quot;</span>)  <span class="comment"># add msg features</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    driver.write_csv(h, d, path_out)</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a297fb3a63d84d6853726c55b8b9e73c8">   78</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a297fb3a63d84d6853726c55b8b9e73c8">ml_analyze</a>(path_in):</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="stringliteral">    :param path_in: str</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="stringliteral">        File to use as input</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="stringliteral">    :return: void</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="stringliteral">        Carries out sample machine learning analytics</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    driver = MLAnalysis(path_in)</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    driver.show_correlation_matrix_of_data()  <span class="comment"># correlation matrix</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    driver.predict_feature(<span class="stringliteral">&quot;likes&quot;</span>)  <span class="comment"># linear fits</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    driver.predict_feature(<span class="stringliteral">&quot;shares&quot;</span>)</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    driver.predict_feature(<span class="stringliteral">&quot;comments&quot;</span>)</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    driver.cluster_3d_plot([<span class="stringliteral">&quot;likes&quot;</span>, <span class="stringliteral">&quot;comments&quot;</span>, <span class="stringliteral">&quot;shares&quot;</span>], n_clusters=5)  <span class="comment"># clustering</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    driver.cluster_analyze(n_clusters=3)</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    driver.select_k_best(<span class="stringliteral">&quot;likes&quot;</span>)  <span class="comment"># k-best features</span></div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    driver.select_k_best(<span class="stringliteral">&quot;shares&quot;</span>)</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    driver.select_k_best(<span class="stringliteral">&quot;comments&quot;</span>)</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ae1001d2cee0121b5db5a0c22e7e179aa">   98</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ae1001d2cee0121b5db5a0c22e7e179aa">time_analyze</a>(path_in):</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="stringliteral">    :param path_in: str</span></div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="stringliteral">        File to use as input</span></div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="stringliteral">    :return: void</span></div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="stringliteral">        Carries out sample timing analytics</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    driver = TimeAnalysis(path_in)</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    driver.hours_clusters_of_top_posts()</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    driver.months_clusters_of_top_posts()</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a8d09aae0497ae462e11c675e11c43b66">  111</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a8d09aae0497ae462e11c675e11c43b66">main</a>():</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    path_in = <a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ac9a45e3fed34af4e4180405a209a96c4">parse_args</a>(<a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a4d3c6a16a27d83f1972b79d69fb61116">create_args</a>())</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordflow">if</span> <a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a124970bb9272c2d9c04e916250ca6fce">check_args</a>(path_in):</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        <a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a297fb3a63d84d6853726c55b8b9e73c8">ml_analyze</a>(path_in)</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ae1001d2cee0121b5db5a0c22e7e179aa">time_analyze</a>(path_in)</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keywordflow">else</span>:</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        print(<span class="stringliteral">&quot;Error while parsing args.&quot;</span>)</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="keywordflow">if</span> __name__ == <span class="stringliteral">&#39;__main__&#39;</span>:</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <a class="code" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a8d09aae0497ae462e11c675e11c43b66">main</a>()</div><div class="ttc" id="namespacepyspottedunipd_1_1analysis_1_1cli_html_a297fb3a63d84d6853726c55b8b9e73c8"><div class="ttname"><a href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a297fb3a63d84d6853726c55b8b9e73c8">pyspottedunipd.analysis.cli.ml_analyze</a></div><div class="ttdeci">def ml_analyze(path_in)</div><div class="ttdef"><b>Definition:</b> <a href="analysis_2cli_8py_source.html#l00078">cli.py:78</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1analysis_1_1cli_html_ac9a45e3fed34af4e4180405a209a96c4"><div class="ttname"><a href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ac9a45e3fed34af4e4180405a209a96c4">pyspottedunipd.analysis.cli.parse_args</a></div><div class="ttdeci">def parse_args(parser)</div><div class="ttdef"><b>Definition:</b> <a href="analysis_2cli_8py_source.html#l00037">cli.py:37</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1analysis_1_1cli_html_a8d09aae0497ae462e11c675e11c43b66"><div class="ttname"><a href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a8d09aae0497ae462e11c675e11c43b66">pyspottedunipd.analysis.cli.main</a></div><div class="ttdeci">def main()</div><div class="ttdef"><b>Definition:</b> <a href="analysis_2cli_8py_source.html#l00111">cli.py:111</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1analysis_1_1cli_html_ae1001d2cee0121b5db5a0c22e7e179aa"><div class="ttname"><a href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ae1001d2cee0121b5db5a0c22e7e179aa">pyspottedunipd.analysis.cli.time_analyze</a></div><div class="ttdeci">def time_analyze(path_in)</div><div class="ttdef"><b>Definition:</b> <a href="analysis_2cli_8py_source.html#l00098">cli.py:98</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1analysis_1_1cli_html_a489ab36cfff74eaaf3a2ad2ddd8ad5df"><div class="ttname"><a href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a489ab36cfff74eaaf3a2ad2ddd8ad5df">pyspottedunipd.analysis.cli.add_time_msg_stats</a></div><div class="ttdeci">def add_time_msg_stats(path_in)</div><div class="ttdef"><b>Definition:</b> <a href="analysis_2cli_8py_source.html#l00062">cli.py:62</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1analysis_1_1cli_html_a4d3c6a16a27d83f1972b79d69fb61116"><div class="ttname"><a href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a4d3c6a16a27d83f1972b79d69fb61116">pyspottedunipd.analysis.cli.create_args</a></div><div class="ttdeci">def create_args()</div><div class="ttdef"><b>Definition:</b> <a href="analysis_2cli_8py_source.html#l00026">cli.py:26</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1analysis_1_1cli_html_a124970bb9272c2d9c04e916250ca6fce"><div class="ttname"><a href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a124970bb9272c2d9c04e916250ca6fce">pyspottedunipd.analysis.cli.check_args</a></div><div class="ttdeci">def check_args(path_in)</div><div class="ttdef"><b>Definition:</b> <a href="analysis_2cli_8py_source.html#l00050">cli.py:50</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_cadfa51a49c9afcc310fa35ae151bb00.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="dir_0c69eb11eea0b5de93911bb659dd808b.html">analysis</a></li><li class="navelem"><a class="el" href="analysis_2cli_8py.html">cli.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
